<?php
require_once("cwfUI.inc.php");

class CountryUI extends cwfUI {
  protected static $accessRight = "edit_countries";
  protected static $dataClass = "Country";
  
  public function __construct() {
    parent::__construct();
    $this->initialize();
  }
  
  protected function initialize() {
    parent::initialize();
    $this->title = _("Countries");
  }

  static public function getValidationRules() {
    $rules = array(
        "country"=>array("required"=>true)
      );
    $messages = array(
        "country"=>_("Please enter a country name.")
      );
    
    $validationRules = new FormValidation($rules, $messages);
    return $validationRules;
  }
  
  public function getHTML(DbConnection $DB) {
?>
<form id="kdb_form" action="" method="post" enctype="multipart/form-data">
<p>
  <label for="country_list"><?= _("Countries") ?>:</label>
  <select id="country_list" name="country_list" class="select_id" onChange="kdbUpdateForm(this, '<?=get_class()?>');" size="10">
    <option value="-1"><?= _("New country") ?></option>
<?php
    $countries = static::readList($DB);
    foreach ($countries as $country)
      echo "    <option value=\"{$country['id']}\">{$country['name']}</option>\n";
?>
  </select>
</p>

<input type="hidden" id="country_id" name="country_id" class="id" value="<?= $this->data->country_id ?>">

<p>
  <label for="country" class="required"><?=_("Country")?>:</label>
  <input type="text" id="country" name="country" value="<?=$this->data->country?>" class="required">
</p>

<div class="form_controls_bottom">
<p>
  <input class="indented" type="submit" id="kdb_save" name="kdb_save" value="<?=_("Save")?>" onClick="kdbSaveEntry('<?=get_class()?>', 'save'); return false;">
  <input type="submit" id="kdb_save_as" name="kdb_save_as" value="<?=_("Save as new")?>" onClick="kdbSaveEntry('<?=get_class()?>', 'saveasnew'); return false;">
  <input type="submit" id="kdb_delete" name="kdb_delete" value="<?=_("Delete")?>" onClick="kdbDeleteEntry('<?=get_class()?>'); return false;">
</p>
</div>
</form>
<?php
  }
}

?>