<?php
require_once("cwfUI.inc.php");

class DisclaimerUI extends cwfUI {
  protected static $accessRight = "edit_disclaimers";
  protected static $dataClass = "Disclaimer";
  
  public function __construct() {
    parent::__construct();
    $this->initialize();
  }
  
  protected function initialize() {
    parent::initialize();
    $this->title = _("Disclaimers");
  }
  
  static public function getValidationRules() {
    $rules = array(
        "disclaimer_name"=>array("required"=>true)
      );
    $messages = array(
        "disclaimer_name"=>_("Please enter a name for the disclaimer.")
      );
    
    $validationRules = new FormValidation($rules, $messages);
    return $validationRules;
  }
  
  public function getHTML(DbConnection $DB) {
?>
<form id="kdb_form" action="" method="post" enctype="multipart/form-data">
<p>
  <label for="disclaimer_list"><?= _("Disclaimers") ?>:</label>
  <select id="disclaimer_list" name="disclaimer_list" class="select_id" onChange="kdbUpdateForm(this, 'DisclaimerUI');" size="5">
    <option value="-1"><?= _("New disclaimer") ?></option>
<?php
    $disclaimers = static::readList($DB);
    foreach ($disclaimers as $disclaimer)
      echo "    <option value=\"{$disclaimer['id']}\">{$disclaimer['name']}</option>\n";
?>
  </select>
</p>

<input type="hidden" id="disclaimer_id" name="disclaimer_id" class="id" value="<?= $this->data->disclaimer_id ?>">

<p>
  <label for="disclaimer_name" class="required"><?=_("Disclaimer name")?>:</label>
  <input type="text" id="disclaimer_name" name="disclaimer_name" value="<?=$this->data->disclaimer_name?>" class="required">
</p>

<p>
  <label for="disclaimer"><?=_("Disclaimer")?>:</label>
  <textarea id="disclaimer" name="disclaimer" style="height:20em;"><?=$this->data->disclaimer?></textarea>
</p>

<div class="form_controls_bottom">
<p>
  <input class="indented" type="submit" id="kdb_save" name="kdb_save" value="<?=_("Save")?>" onClick="kdbSaveEntry('DisclaimerUI', 'save'); return false;">
  <input type="submit" id="kdb_save_as" name="kdb_save_as" value="<?=_("Save as new")?>" onClick="kdbSaveEntry('DisclaimerUI', 'saveasnew'); return false;">
  <input type="submit" id="kdb_delete" name="kdb_delete" value="<?=_("Delete")?>" onClick="kdbDeleteEntry('DisclaimerUI'); return false;">
  <input type="submit" id="kdb_preview" name="kdb_preview" value="<?=_("Preview")?>" onClick="$('#disclaimer_preview').html($('#disclaimer').val()); $('#dialog_preview').show(); return false;">
</p>
</div>
</form>

<div id="dialog_preview" class="dialog_container">
<div class="dialog_columns">
  <div class="close_dialog" onClick="$('#dialog_preview').hide();"></div>
  <div class="dialog" id="disclaimer_preview">
  </div>  
</div>
</div>
<?php
  }
}

?>